/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

/* stylelint-disable function-parentheses-space-inside */

// Based on the 8 point grid.

$space-base: 8;

$space-default: #{$space-base * 2}px;

// Padding small sile
$space-sm: #{$space-base}px;

//Padding medium size
$space-md: #{$space-base * 3}px;

//Padding large size
$space-lg: #{$space-base * 4}px;

// Padding extra large
$space-big: #{$space-base * 5}px;

$space-mark: #{$space-base}px;

$spacers: () !default;
$spacers: map-merge(
  (
    0: 0,
    1: #{$space-base * 1}px,
    2: #{$space-base * 2}px,
    3: #{$space-base * 3}px,
    4: #{$space-base * 4}px,
    5: #{$space-base * 5}px,
    6: #{$space-base * 6}px,
    7: #{$space-base * 7}px,
    8: #{$space-base * 8}px,
    9: #{$space-base * 9}px,
    10: #{$space-base * 10}px,
    11: #{$space-base * 11}px,
    12: #{$space-base * 12}px,
    13: #{$space-base * 13}px,
    14: #{$space-base * 14}px,
    15: #{$space-base * 15}px,
  ),
  $spacers
);

$breakpoints: 'xsm', 'sm', 'md', 'lg', 'xl', 'xxl', 'xxxl';
